harmony-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From hinde...@apache.org
Subject svn commit: r767138 - /harmony/enhanced/trunk/debian/
Date Tue, 21 Apr 2009 13:02:27 GMT
Author: hindessm
Date: Tue Apr 21 13:02:26 2009
New Revision: 767138

URL: http://svn.apache.org/viewvc?rev=767138&view=rev
Log:
Updates to build latest debian packages.

Added:
    harmony/enhanced/trunk/debian/harmony-5.0-classlib.dirs
    harmony/enhanced/trunk/debian/harmony-5.0-drlvm.dirs
    harmony/enhanced/trunk/debian/harmony-5.0-drlvm.lintian
      - copied, changed from r691561, harmony/enhanced/trunk/debian/harmony-5.0-jre.lintian
    harmony/enhanced/trunk/debian/harmony-5.0-drlvm.postinst
    harmony/enhanced/trunk/debian/harmony-5.0-drlvm.prerm
Removed:
    harmony/enhanced/trunk/debian/harmony-5.0-jre.lintian
Modified:
    harmony/enhanced/trunk/debian/changelog
    harmony/enhanced/trunk/debian/control
    harmony/enhanced/trunk/debian/harmony-5.0-jdk.postinst
    harmony/enhanced/trunk/debian/harmony-5.0-jdk.prerm
    harmony/enhanced/trunk/debian/harmony-5.0-jre.postinst
    harmony/enhanced/trunk/debian/harmony-5.0-jre.prerm
    harmony/enhanced/trunk/debian/rules

Modified: harmony/enhanced/trunk/debian/changelog
URL: http://svn.apache.org/viewvc/harmony/enhanced/trunk/debian/changelog?rev=767138&r1=767137&r2=767138&view=diff
==============================================================================
--- harmony/enhanced/trunk/debian/changelog (original)
+++ harmony/enhanced/trunk/debian/changelog Tue Apr 21 13:02:26 2009
@@ -1,3 +1,10 @@
+harmony-5.0 (0.0r761593-1) unstable; urgency=low
+
+  * Milestone 9 release.
+  * Splitting of jre into three packages.
+
+ -- Mark Hindess <mark.hindess@googlemail.com>  Mon, 20 Apr 2009 14:37:56 +0100
+
 harmony-5.0 (0.0r681495-1) unstable; urgency=low
 
   * Milestone 7 release

Modified: harmony/enhanced/trunk/debian/control
URL: http://svn.apache.org/viewvc/harmony/enhanced/trunk/debian/control?rev=767138&r1=767137&r2=767138&view=diff
==============================================================================
--- harmony/enhanced/trunk/debian/control (original)
+++ harmony/enhanced/trunk/debian/control Tue Apr 21 13:02:26 2009
@@ -1,13 +1,27 @@
 Source: harmony-5.0
-Section: unknown
+Section: devel
 Priority: extra
 Maintainer: Mark Hindess <mark.hindess@googlemail.com>
-Build-Depends: debhelper (>= 5), ecj, ant, subversion, ant-optional, liblcms1-dev, libjpeg62-dev,
libpng-dev, libxft-dev, libxml2-dev, libxtst-dev, libxext-dev
+Build-Depends: debhelper (>= 5), libecj-java, ant, subversion, ant-optional, liblcms1-dev,
libjpeg62-dev, libpng-dev, libxft-dev, libxml2-dev, libxtst-dev, libxext-dev
 Standards-Version: 3.7.2
 
+Package: harmony-5.0-drlvm
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}, zlib1g-dev
+Provides: harmony-5.0-vm
+Suggests: harmony-5.0-jre
+Description: Apache Harmony DRL Virtual Machine
+ <insert long description, indented with spaces>
+
+Package: harmony-5.0-classlib
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}, libstdc++6, libxext6, libxmu6
+Description: Apache Harmony Java Class Libraries
+ <insert long description, indented with spaces>
+
 Package: harmony-5.0-jre
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, libstdc++6, zlib1g-dev, libxext6, libxmu6
+Depends: ${shlibs:Depends}, ${misc:Depends}, libstdc++6, zlib1g-dev, libxext6, libxmu6, harmony-5.0-vm,
harmony-5.0-classlib
 Provides: java-virtual-machine, java-runtime, java1-runtime, java2-runtime
 Description: Apache Harmony JRE
  <insert long description, indented with spaces>

Added: harmony/enhanced/trunk/debian/harmony-5.0-classlib.dirs
URL: http://svn.apache.org/viewvc/harmony/enhanced/trunk/debian/harmony-5.0-classlib.dirs?rev=767138&view=auto
==============================================================================
--- harmony/enhanced/trunk/debian/harmony-5.0-classlib.dirs (added)
+++ harmony/enhanced/trunk/debian/harmony-5.0-classlib.dirs Tue Apr 21 13:02:26 2009
@@ -0,0 +1 @@
+usr/lib/harmony-5.0/jdk/jre

Added: harmony/enhanced/trunk/debian/harmony-5.0-drlvm.dirs
URL: http://svn.apache.org/viewvc/harmony/enhanced/trunk/debian/harmony-5.0-drlvm.dirs?rev=767138&view=auto
==============================================================================
--- harmony/enhanced/trunk/debian/harmony-5.0-drlvm.dirs (added)
+++ harmony/enhanced/trunk/debian/harmony-5.0-drlvm.dirs Tue Apr 21 13:02:26 2009
@@ -0,0 +1 @@
+usr/lib/harmony-5.0/jdk/jre/bin

Copied: harmony/enhanced/trunk/debian/harmony-5.0-drlvm.lintian (from r691561, harmony/enhanced/trunk/debian/harmony-5.0-jre.lintian)
URL: http://svn.apache.org/viewvc/harmony/enhanced/trunk/debian/harmony-5.0-drlvm.lintian?p2=harmony/enhanced/trunk/debian/harmony-5.0-drlvm.lintian&p1=harmony/enhanced/trunk/debian/harmony-5.0-jre.lintian&r1=691561&r2=767138&rev=767138&view=diff
==============================================================================
--- harmony/enhanced/trunk/debian/harmony-5.0-jre.lintian (original)
+++ harmony/enhanced/trunk/debian/harmony-5.0-drlvm.lintian Tue Apr 21 13:02:26 2009
@@ -1,2 +1,2 @@
-harmony-5.0-jre: shlib-without-PT_GNU_STACK-section usr/lib/harmony-5.0/jdk/jre/bin/libicudata.so.34
-harmony-5.0-jre: shared-lib-without-dependency-information ./usr/lib/harmony-5.0/jdk/jre/bin/libicudata.so.34
+harmony-5.0-jre: shlib-without-PT_GNU_STACK-section usr/lib/harmony-5.0/jdk/jre/bin/default/libicudata.so.34
+harmony-5.0-jre: shared-lib-without-dependency-information ./usr/lib/harmony-5.0/jdk/jre/bin/default/libicudata.so.34

Added: harmony/enhanced/trunk/debian/harmony-5.0-drlvm.postinst
URL: http://svn.apache.org/viewvc/harmony/enhanced/trunk/debian/harmony-5.0-drlvm.postinst?rev=767138&view=auto
==============================================================================
--- harmony/enhanced/trunk/debian/harmony-5.0-drlvm.postinst (added)
+++ harmony/enhanced/trunk/debian/harmony-5.0-drlvm.postinst Tue Apr 21 13:02:26 2009
@@ -0,0 +1,44 @@
+#!/bin/sh
+# postinst script for harmony-5.0-jdk
+#
+# see: dh_installdeb(1)
+
+set -e
+
+# summary of how this script can be called:
+#        * <postinst> `configure' <most-recently-configured-version>
+#        * <old-postinst> `abort-upgrade' <new version>
+#        * <conflictor's-postinst> `abort-remove' `in-favour' <package>
+#          <new-version>
+#        * <postinst> `abort-remove'
+#        * <deconfigured's-postinst> `abort-deconfigure' `in-favour'
+#          <failed-install-package> <version> `removing'
+#          <conflicting-package> <version>
+# for details, see http://www.debian.org/doc/debian-policy/ or
+# the debian-policy package
+
+
+case "$1" in
+    configure)
+        update-alternatives \
+            --install /usr/lib/harmony-5.0/jdk/jre/bin/default harmony-vm \
+                      /usr/lib/harmony-5.0/jdk/jre/bin/drlvm 100
+    ;;
+
+    abort-upgrade|abort-remove|abort-deconfigure)
+    ;;
+
+    *)
+        echo "postinst called with unknown argument \`$1'" >&2
+        exit 1
+    ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0
+
+

Added: harmony/enhanced/trunk/debian/harmony-5.0-drlvm.prerm
URL: http://svn.apache.org/viewvc/harmony/enhanced/trunk/debian/harmony-5.0-drlvm.prerm?rev=767138&view=auto
==============================================================================
--- harmony/enhanced/trunk/debian/harmony-5.0-drlvm.prerm (added)
+++ harmony/enhanced/trunk/debian/harmony-5.0-drlvm.prerm Tue Apr 21 13:02:26 2009
@@ -0,0 +1,45 @@
+#!/bin/sh
+# prerm script for harmony-5.0-jdk
+#
+# see: dh_installdeb(1)
+
+set -e
+
+# summary of how this script can be called:
+#        * <prerm> `remove'
+#        * <old-prerm> `upgrade' <new-version>
+#        * <new-prerm> `failed-upgrade' <old-version>
+#        * <conflictor's-prerm> `remove' `in-favour' <package> <new-version>
+#        * <deconfigured's-prerm> `deconfigure' `in-favour'
+#          <package-being-installed> <version> `removing'
+#          <conflicting-package> <version>
+# for details, see http://www.debian.org/doc/debian-policy/ or
+# the debian-policy package
+
+
+case "$1" in
+    remove|deconfigure)
+        update-alternatives --remove harmony-vm \
+                                     /usr/lib/harmony-5.0/jdk/jre/bin/drlvm
+    ;;
+
+    upgrade)
+    ;;
+
+    failed-upgrade)
+    ;;
+
+    *)
+        echo "prerm called with unknown argument \`$1'" >&2
+        exit 1
+    ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0
+
+

Modified: harmony/enhanced/trunk/debian/harmony-5.0-jdk.postinst
URL: http://svn.apache.org/viewvc/harmony/enhanced/trunk/debian/harmony-5.0-jdk.postinst?rev=767138&r1=767137&r2=767138&view=diff
==============================================================================
--- harmony/enhanced/trunk/debian/harmony-5.0-jdk.postinst (original)
+++ harmony/enhanced/trunk/debian/harmony-5.0-jdk.postinst Tue Apr 21 13:02:26 2009
@@ -20,8 +20,7 @@
 
 case "$1" in
     configure)
-        for f in appletviewer jarsigner javac javadoc \
-                 javah javap keytool policytool unpack200 ; do
+        for f in appletviewer jarsigner javac javadoc javah javap ; do
             update-alternatives \
                 --install /usr/bin/$f $f /usr/bin/$f-harmony 30 \
                 --slave /usr/share/man/man1/$f.1.gz $f.1.gz \

Modified: harmony/enhanced/trunk/debian/harmony-5.0-jdk.prerm
URL: http://svn.apache.org/viewvc/harmony/enhanced/trunk/debian/harmony-5.0-jdk.prerm?rev=767138&r1=767137&r2=767138&view=diff
==============================================================================
--- harmony/enhanced/trunk/debian/harmony-5.0-jdk.prerm (original)
+++ harmony/enhanced/trunk/debian/harmony-5.0-jdk.prerm Tue Apr 21 13:02:26 2009
@@ -19,8 +19,7 @@
 
 case "$1" in
     remove|deconfigure)
-        for f in appletviewer jarsigner javac javadoc \
-                 javah javap keytool policytool unpack200 ; do
+        for f in appletviewer jarsigner javac javadoc javah javap ; do
             update-alternatives --remove $f /usr/bin/$f-harmony
         done
     ;;

Modified: harmony/enhanced/trunk/debian/harmony-5.0-jre.postinst
URL: http://svn.apache.org/viewvc/harmony/enhanced/trunk/debian/harmony-5.0-jre.postinst?rev=767138&r1=767137&r2=767138&view=diff
==============================================================================
--- harmony/enhanced/trunk/debian/harmony-5.0-jre.postinst (original)
+++ harmony/enhanced/trunk/debian/harmony-5.0-jre.postinst Tue Apr 21 13:02:26 2009
@@ -20,10 +20,12 @@
 
 case "$1" in
     configure)
-        update-alternatives \
-            --install /usr/bin/java java /usr/bin/java-harmony 30 \
-            --slave /usr/share/man/man1/java.1.gz java.1.gz \
-                    /usr/share/man/man1/java-harmony.1.gz
+        for f in java keytool policytool unpack200 ; do
+            update-alternatives \
+                --install /usr/bin/$f $f /usr/bin/$f-harmony 30 \
+                --slave /usr/share/man/man1/$f.1.gz $f.1.gz \
+                        /usr/share/man/man1/$f-harmony.1.gz
+        done
     ;;
 
     abort-upgrade|abort-remove|abort-deconfigure)

Modified: harmony/enhanced/trunk/debian/harmony-5.0-jre.prerm
URL: http://svn.apache.org/viewvc/harmony/enhanced/trunk/debian/harmony-5.0-jre.prerm?rev=767138&r1=767137&r2=767138&view=diff
==============================================================================
--- harmony/enhanced/trunk/debian/harmony-5.0-jre.prerm (original)
+++ harmony/enhanced/trunk/debian/harmony-5.0-jre.prerm Tue Apr 21 13:02:26 2009
@@ -19,7 +19,9 @@
 
 case "$1" in
     remove|deconfigure)
-        update-alternatives --remove java /usr/bin/java-harmony
+        for f in java keytool policytool unpack200 ; do
+            update-alternatives --remove $f /usr/bin/$f-harmony
+        done
     ;;
 
     upgrade)

Modified: harmony/enhanced/trunk/debian/rules
URL: http://svn.apache.org/viewvc/harmony/enhanced/trunk/debian/rules?rev=767138&r1=767137&r2=767138&view=diff
==============================================================================
--- harmony/enhanced/trunk/debian/rules (original)
+++ harmony/enhanced/trunk/debian/rules Tue Apr 21 13:02:26 2009
@@ -14,6 +14,8 @@
 ANT_FLAGS = -lib /usr/share/java \
             -Dhy.local.zlib=true -Dhy.zip.api=false   \
             -Dhy.no.thr=false -Dauto.fetch=true
+VMDIR=$(CURDIR)/debian/harmony-5.0-drlvm
+CLDIR=$(CURDIR)/debian/harmony-5.0-classlib
 JREDIR=$(CURDIR)/debian/harmony-5.0-jre
 JDKDIR=$(CURDIR)/debian/harmony-5.0-jdk
 HDKDIR=$(CURDIR)/debian/harmony-5.0-hdk
@@ -31,7 +33,7 @@
 ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
 	CFLAGS += -O0
 else
-	CFLAGS += -O2
+	CFLAGS += -O1
 endif
 
 configure: configure-stamp
@@ -87,11 +89,21 @@
 	dh_clean -k -s  --exclude ./working_classlib/modules/luni/src/main/native/fdlibm_dist/Makefile.orig
--exclude ./working_classlib/modules/luni/src/main/native/fdlibm_dist/fdlibm.h.orig --exclude
./working_classlib/modules/luni/src/main/native/fdlibm_dist/s_lib_version.c.orig --exclude
./working_classlib/modules/archive/src/main/native/zlib_dist/Makefile.orig
 	dh_installdirs -s
 
-	mkdir -p $(JREDIR)/usr/lib/harmony-5.0/jdk
-	mv $(CURDIR)/target/hdk/jdk/jre $(JREDIR)/usr/lib/harmony-5.0/jdk
-	mkdir -p $(JREDIR)/usr/share/lintian/overrides
-	cp -pr $(CURDIR)/debian/harmony-5.0-jre.lintian \
-	    $(JREDIR)/usr/share/lintian/overrides/harmony-5.0-jre
+	mkdir -p $(VMDIR)/usr/lib/harmony-5.0/jdk/jre/bin
+	mv $(CURDIR)/target/hdk/jdk/jre/bin/default \
+	    $(VMDIR)/usr/lib/harmony-5.0/jdk/jre/bin/drlvm
+	mv $(CURDIR)/target/hdk/jdk/jre/bin/libhythr.so \
+	    $(VMDIR)/usr/lib/harmony-5.0/jdk/jre/bin
+	mkdir -p $(VMDIR)/usr/share/lintian/overrides
+	cp -pr $(CURDIR)/debian/harmony-5.0-drlvm.lintian \
+	    $(VMDIR)/usr/share/lintian/overrides/harmony-5.0-drlvm
+
+	mkdir -p $(CLDIR)/usr/lib/harmony-5.0/jdk
+	mv $(CURDIR)/target/hdk/jdk/jre $(CLDIR)/usr/lib/harmony-5.0/jdk
+
+	mkdir -p $(JREDIR)/usr/lib/harmony-5.0/jdk/jre/bin
+	mv $(CLDIR)/usr/lib/harmony-5.0/jdk/jre/bin/java \
+	   $(JREDIR)/usr/lib/harmony-5.0/jdk/jre/bin
 
 	mkdir -p $(JDKDIR)/usr/lib/harmony-5.0
 	mv $(CURDIR)/target/hdk/jdk $(JDKDIR)/usr/lib/harmony-5.0
@@ -127,7 +139,7 @@
 #	dh_perl
 	dh_makeshlibs
 	dh_installdeb
-	LD_LIBRARY_PATH=$(JREDIR)/usr/lib/harmony-5.0/jdk/jre/bin/default:$LD_LIBRARY_PATH dh_shlibdeps
+	LD_LIBRARY_PATH=debian/harmony-5.0-drlvm/usr/lib/harmony-5.0/jdk/jre/bin:debian/harmony-5.0-drlvm/usr/lib/harmony-5.0/jdk/jre/bin/drlvm:$LD_LIBRARY_PATH
dh_shlibdeps
 	dh_gencontrol
 	dh_md5sums
 	dh_builddeb



Mime
View raw message